function H=ullma(type)
%H=ullma(type)
%
%Ultra Low Lag Moving Average
%http://www.forexfactory.com/showpost.php?p=2330567&postcount=147

    Length=39;

    switch(abs(type))
        case 0
            Cycles=1.25;
        case 1
            Cycles=2.5;
        case 2
            Cycles=3.75;
        case 3
            Cycles=6.25;
        otherwise
            Cycles=6.25;
    end

    x=(0:1/(Length-1):1)'.*(Cycles*pi);
    h=sinc(x);
    h=h./sum(h);
    H=dfilt.dffir(h);
end